package com.bonus.canteen.core.device.manage.model.metadata;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class IssueMetadata extends BaseMetadate implements Serializable {
   @ApiModelProperty("界面样式 1，2，3 默认1")
   private String guiStyle = "1";
   @ApiModelProperty("字体大小 默认20")
   private String fontSize = "20";
   @ApiModelProperty("字体行数 默认5")
   private String lineNum = "5";
   @ApiModelProperty("字体颜色  默认000000")
   private String fontColor = "#000000";
   @ApiModelProperty("背景图片")
   private String imageMap = "";
   @ApiModelProperty("字幕标语")
   private String titleSlogan = "";
   @ApiModelProperty("轮播时间  默认5")
   private String carouselTime = "5";

   public String getGuiStyle() {
      return this.guiStyle;
   }

   public String getFontSize() {
      return this.fontSize;
   }

   public String getLineNum() {
      return this.lineNum;
   }

   public String getFontColor() {
      return this.fontColor;
   }

   public String getImageMap() {
      return this.imageMap;
   }

   public String getTitleSlogan() {
      return this.titleSlogan;
   }

   public String getCarouselTime() {
      return this.carouselTime;
   }

   public void setGuiStyle(final String guiStyle) {
      this.guiStyle = guiStyle;
   }

   public void setFontSize(final String fontSize) {
      this.fontSize = fontSize;
   }

   public void setLineNum(final String lineNum) {
      this.lineNum = lineNum;
   }

   public void setFontColor(final String fontColor) {
      this.fontColor = fontColor;
   }

   public void setImageMap(final String imageMap) {
      this.imageMap = imageMap;
   }

   public void setTitleSlogan(final String titleSlogan) {
      this.titleSlogan = titleSlogan;
   }

   public void setCarouselTime(final String carouselTime) {
      this.carouselTime = carouselTime;
   }

}
